package com.zcloud.mapper.dsno2.system;

import com.zcloud.entity.PageData;
import com.zcloud.entity.system.Route;

import java.util.List;

/**
 * 说明：菜单Mapper
 * 作者：luoxiaobao
 * 官网：www.qdkjchina.com
 */
public interface RouteMapper {

	/**新增菜单
	 * @param pd
	 */
	void add(PageData pd);

	/**保存修改菜单
	 * @param pd
	 */
	void edit(PageData pd);

	/**
	 * 通过菜单ID获取数据
	 * @param pd
	 * @return
	 */
	PageData findById(PageData pd);

	/**获取最大的菜单ID
	 * @param pd
	 * @return
	 */
	PageData findMaxId(PageData pd);

	/**通过ID获取其子一级菜单
	 * @param parentId
	 * @return
	 */
	List<Route> listSubRouteByParentId(String parentId);

	/**通过ID获取其子一级菜单
	 * @param parentId
	 * @return
	 */
	List<PageData> listRouteByParentId(String parentId);

	/**删除菜单
	 * @param ROUTE_ID
	 */
	void delete(String ROUTE_ID);

	/**保存菜单图标
	 * @param pd
	 * @return
	 */
	void editicon(PageData pd);

	/**获取所有菜单
	 * @param pd
	 * @return
	 */
	List<PageData> listAll(PageData pd);


    List<PageData> navAll(PageData pd);
}
